安装yii2时出错 Invalid Argument – yii\base\InvalidArgumentException The file or directory to be published does not exist: D:\Mrli_work\apps\legacy-sale_erp/vendor\bower/jquery/dist

The “https://bower.herokuapp.com/packages/jquery” file could not be downloaded (HTTP/1.1 502 Bad Gateway)
https://bower.herokuapp.com/packages could not be fully loaded, package information was loaded from the local cache and may be out of date

 

解决方法:

你要把composer升级到最新,然后fxp那个插件设置成~1.2(也是最新的吧)

composer self-update

composer global require “fxp/composer-asset-plugin:~1.2”